***********************************************************************.
******************  Einleitendes Beispiel  ****************************.
**** Datenquelle: Strzelewicz 1966, S. 64********************.
***********************************************************************.
DATA LIST/ sl 1-2, wb 4, hk 6-9.
BEGIN DATA
 1 1  364
 1 2 1153
 2 1  136
 2 2  117
 3 1   56
 3 2   25
END DATA.
VARIABLE LABELS sl 'Schulabschluss'  wb 'Lust auf WB' hk 'Hufigkeit'.
VALUE LABELS sl 1 'Volksschule' 2 'Realschule' 3 '(Fach-)Abitur'
  / wb 1 'ja' 2 'nein'.
WEIGHT by hk.
*********  Kreuztabelle (Abb. 2).
CROSSTABS TABLES    = wb by sl / STATISTICS = chisq.
********* Saturiertes Modell - Voreinstellungen - (Abb. 2).
GENLOG sl wb / MODEL = multinomial / PRINT = des, estim, freq /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / design = sl, wb, sl * wb.
********* Saturiertes Modell mit Kovariaten - Dummy-codiert.
recode sl (1 = 1) (2, 3 = 0) into HS_d.
recode sl (2 = 1) (1, 3 = 0) into RS_d.
recode sl (3 = 1) (1, 2 = 0) into Abi_d.
recode wb (1 = 1) (2 = 0) into wbj_d.
recode wb (2 = 1) (1 = 0) into wbn_d.
compute HS_wb_d = HS_d * wbj_d.
compute RS_wb_d = RS_d * wbj_d.
GENLOG sl wb with HS_d, RS_d, wbj_d, HS_wb_d, RS_wb_d
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_d, RS_d, wbj_d, HS_wb_d, RS_wb_d.
**************************************************************************************.
********* Saturiertes Modell mit Kovariaten - Bedingte Effekte, Dummy codiert.
compute Abi_wb_d = Abi_d * wbj_d.
GENLOG sl wb with HS_d, RS_d, HS_wb_d, RS_wb_d, Abi_wb_d
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / DESIGN = HS_d, RS_d, HS_wb_d, RS_wb_d, Abi_wb_d.
********* Saturiertes Modell mit Kovariaten - Effekt codiert (Abb. 3).
compute HS_e = HS_d - Abi_d.
compute RS_e = RS_d - Abi_d.
compute wb_e = wbj_d - wbn_d.
compute HS_wb_e = HS_e * wb_e.
compute RS_wb_e = RS_e * wb_e.
GENLOG sl wb with HS_e, RS_e, wb_e, HS_wb_e, RS_wb_e
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_e, RS_e, wb_e, HS_wb_e, RS_wb_e.
***** Weglassen (Abb. 4).
GENLOG sl wb / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / Design = sl, wb.
********************  Zusammenfassen - Dummy (Abb. 5).
compute HS_RS_wb_d = HS_wb_d + RS_wb_d .
GENLOG sl wb with HS_d, RS_d, wbj_d, HS_RS_wb_d
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_d, RS_d, wbj_d, HS_RS_wb_d.
********************  Zusammenfassen - Effekt.
compute HS_RS_wb_e = (HS_wb_e + RS_wb_e) / 2.
GENLOG sl wb with HS_e, RS_e, wb_e, HS_RS_wb_e
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_e, RS_e, wb_e, HS_RS_wb_e.
***************  Systematisieren - (Dummy) (Abb. 6).
compute sl_wb_d = sl * wbj_d.
GENLOG sl wb with HS_d, RS_d, Wbj_d, sl_wb_d
  / MODEL = multinomial / PRINT = estim, des, freq /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_d, RS_d, Wbj_d, sl_wb_d.
compute sl_wb_e = sl * wb_e.
GENLOG sl wb with HS_e, RS_e, wb_e, sl_wb_e
  / MODEL = multinomial / PRINT = freq, des, estim /  PLOT = none
  /CRITERIA = cin(95) iterate(20) converge(.00001) delta(.0)
  / des = HS_e, RS_e, wb_e, sl_wb_e.
********** Logistische Regression (Abb. 7).
logistic regression var = wbj_d / method = enter sl.
logistic regression var = wb / method = enter sl.









