********************************************************************************.
****            Daten:  Goodman, 1984. S. 3              *********************.
********************************************************************************.
data list / Rgte 1-2, Lfte 3-4, hk 5-10.
begin data
 1 1  1520
 1 2   266
 1 3   124
 1 4    66
 2 1   234
 2 2  1512
 2 3   432
 2 4    78
 3 1   117
 3 2   363
 3 3  1772
 3 4   205
 4 1    36
 4 2    82
 4 3   179
 4 4   492
end data.
var lab Rgte 'Right Eye'  Lfte 'Left Eye' hk 'Hufigkeit'.
val lab Rgte 1 'best' 2 'second' 3 'Third' 4 'worst' / Lfte  1 'best' 2 'second' 3 'Third' 4 'worst'.
weight by hk.
cross tab = Rgte by Lfte.
**** Nullmodell 1 (S. 7).
compute Null = 0.
GENLOG Rgte Lfte with null / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null .
****Null asymmetry model (2 bzw. 7), S.10f. 
compute rc = rgte*10 + lfte.
recode rc (11 = 1)(else = 0) into D1.
recode rc (22 = 1)(else = 0) into D2.
recode rc (33 = 1)(else = 0) into D3.
recode rc (44 = 1)(else = 0) into D4.
recode rc (12,21 = 1)(else = 0) into Rc12.
recode rc (13,31 = 1)(else = 0) into Rc13.
recode rc (14,41 = 1)(else = 0) into Rc14.
recode rc (23,32 = 1)(else = 0) into Rc23.
recode rc (24,42 = 1)(else = 0) into Rc24.
recode rc (34,43 = 1)(else = 0) into Rc34.
GENLOG Rgte Lfte with D1, D2, D3, D4, Rc12, Rc13, Rc14, Rc23, Rc24, Rc34 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = D1, D2, D3, D4, Rc12, Rc13, Rc14, Rc23, Rc24, Rc34.
**** Einzelberechnungen wie auf S. 11.
recode rc (12 = 1)(21 = 2) (else = sysmis) into Rc12.
recode rc (13 = 1)(31 = 2) (else = sysmis) into Rc13.
recode rc (14 = 1)(41 = 2) (else = sysmis) into Rc14.
recode rc (23 = 1)(32 = 2) (else = sysmis) into Rc23.
recode rc (24 = 1)(42 = 2) (else = sysmis) into Rc24.
recode rc (34 = 1)(43 = 2) (else = sysmis) into Rc34.
GENLOG rc12 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
GENLOG rc13 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
GENLOG rc14 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
GENLOG rc23 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
GENLOG rc24 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
GENLOG rc34 null / mod = multinomial / print = freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = null.
*****Fitted asymmetry model, S. 10 bzw. S. 13, Tab. 6.
compute rc = rgte*10 + lfte.
recode rc (11 = 1)(else = 0) into D1.
recode rc (22 = 1)(else = 0) into D2.
recode rc (33 = 1)(else = 0) into D3.
recode rc (44 = 1)(else = 0) into D4.
recode rc (12,21 = 1)(else = 0) into Rc12.
recode rc (13,31 = 1)(else = 0) into Rc13.
recode rc (14,41 = 1)(else = 0) into Rc14.
recode rc (23,32 = 1)(else = 0) into Rc23.
recode rc (24,42 = 1)(else = 0) into Rc24.
recode rc (34,43 = 1)(else = 0) into Rc34.
compute k = Lfte - Rgte.
recode k (-3 = 1)(else = 0) into k_3.
recode k (-2 = 1)(else = 0) into k_2.
recode k (-1 = 1)(else = 0) into k_1.
GENLOG Rgte Lfte with D1, D2, D3, D4, Rc12, Rc13, Rc14, Rc23, Rc24, Rc34, k_1, k_2, k_3 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = D1, D2, D3, D4, Rc12, Rc13, Rc14, Rc23, Rc24, Rc34, k_1, k_2, k_3.
***** Independance Model (15), S. 22.
GENLOG Rgte Lfte / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = Rgte Lfte.
***** Quasi-Independance Model (17), S. 22.
GENLOG Rgte Lfte with D1, D2, D3, D4 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = Rgte Lfte, D1, D2, D3, D4.
*** Symmetric association model (18).
GENLOG Rgte Lfte with rc12, rc13, rc14, rc23, rc24, rc34 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = Rgte Lfte, rc12, rc13, rc14, rc23, rc24, rc34.
*********Diagonals-parameter model (22).
recode k (-3 = 1)(else = 0) into k_3.
recode k (-2 = 1)(else = 0) into k_2.
recode k (-1 = 1)(else = 0) into k_1.
GENLOG Rgte Lfte with rc12, rc13, rc14, rc23, rc24, rc34, k_1, k_2, k_3 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = Rgte Lfte, rc12, rc13, rc14, rc23, rc24, rc34, k_1, k_2, k_3.
********************************************************************************.
*******************              Tabelle 2. S. 4                   *****************.  
********************************************************************************.
data list / Visit 1-2, Leng 3-4, hk 5-10.
begin data
 1 1    43
 1 2    16
 1 3     3
 2 1     6
 2 2    11
 2 3    10
 3 1     9
 3 2    18
 3 3    16
end data.
var lab Visit 'Visiting Pattern'  Leng 'Length of Stay in Hospital' hk 'Hufigkeit'.
val lab Visit 1 'regularly' 2 'infrequently' 3 'never' / Leng  1 '2-10Y' 2 '10-20Y' 3 '20++Y'.
weight by hk.
cross tab = Visit by Leng.
***** Null log-odds model (4), S. 10.
GENLOG Visit Leng / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = visit .
***** Fitted log-odds model (S. 10), = Modell 13,, Tabelle 8, S. 16.
recode visit (1=1) (else = 0) into reg.
compute reg_yr = leng * reg.
GENLOG Visit Leng with reg_yr / mod = multinomial / print = estim, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = visit, reg_yr.
********************************************************************************.
*******************               Tabelle 3, S. 4                      **************.
********************************************************************************.
data list / Strept 1-2, Tonsil 3-4, hk 5-10.
begin data
 1 1   497
 1 2   560
 1 3   269
 2 1    19
 2 2    29
 2 3    24
end data.
var lab Strept 'Streptococcus Carrier Status'  Tonsil 'Tonsil Enlargement Level' hk 'Hufigkeit'.
val lab Strept 1 'Noncarrier' 2 'Carrier' / Tonsil  1 '+' 2 '++' 3 '+++'.
weight by hk.
cross tab = Strept by Tonsil.
*****   Null association model (6), S. 10.
GENLOG Strept, Tonsil / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = strept, tonsil .
******  Fitted associatin model.
compute rc = Strept * Tonsil.
GENLOG Strept, Tonsil with rc / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = strept, tonsil, rc .


