**********************************************************.
***  Rechenbeispiel Uniform-association Model ***.
**********************************************************.
*****   Datenquelle: Ishii-Kuntz, 1994. 
**********************************************************.
data list / rel 1-2, gid 3-4,  hk 6-8.
begin data
 1 1 466
 1 2 317
 1 3 203
 2 1 135
 2 2 198
 2 3 183
 3 1  51
 3 2 120
 3 3 160
end data.
weight by hk.
var lab rel 'Religiosity' / gid 'Gender Ideology' / hk 'Hufigkeit'.
val lab rel 1 'religious' 2 'moderately religious' 3 'not religious'
  / gid 1 'traditional' 2 'moderate' 3 'liberal'.
*******************************************************************************.
**********           Einfache, zweidimensionale Kreuztabelle        ******.
*******************************************************************************.
CROSS tab = rel by gid.
*******************************************************************************.
*** Uniform - Association - Modell     ***.
*******************************************************************************.
compute rc = rel * gid.
genlog rel gid with rc
  /model = multinomial / plot = none / print = estim, des, freq  /crit = delta(0)
  / des = rel, gid, rc.
*******************************************************************************.
*** GID als ordinale Variable     ***.
*******************************************************************************.
recode rel (1=1)(else = 0) into relig.
recode rel (2=1)(else = 0) into mod.
compute rel_c = relig * gid.
compute mod_c = mod * gid.
*****  referenzierte Odds.
genlog rel gid with rel_c, mod_c
  /model = multinomial / plot = none / print = estim, des, freq  /crit = delta(0)
  / des = rel, gid, rel_c, mod_c.
***** adjazente Odds.
recode rel (2,3=1)(else = 0) into mod_not.
recode rel (3=1)(else = 0) into not_rel.
compute m_n_c = mod_not * gid.
compute n_c = not_rel * gid.
genlog rel gid with m_n_c, n_c
  /model = multinomial / plot = none / print = estim, des, freq  /crit = delta(0)
  / des = rel, gid, m_n_c, n_c.
*******************************************************************************.
*** REL als ordinale Variable     ***.
*******************************************************************************.
recode gid (1=1)(else = 0) into trad.
recode gid (2=1)(else = 0) into mod.
compute tra_c = trad * rel.
compute mod_c = mod * rel.
*****  referenzierte Odds.
genlog rel gid with tra_c, mod_c
  /model = multinomial / plot = none / print = estim, des, freq  /crit = delta(0)
  / des = rel, gid, tra_c, mod_c.
*****  adjazente Odds.
recode gid (2,3=1)(else = 0) into not_trad.
recode gid (3=1)(else = 0) into lib.
compute nt_r = not_trad * rel.
compute lib_r = lib * rel.
genlog rel gid with nt_r, lib_r
  /model = multinomial / plot = none / print = estim, des, freq  /crit = delta(0)
  / des = rel, gid, nt_r, lib_r.




